Page MenuHomePhabricator

browsertests: triggers for Flow
Closed, DeclinedPublic

Description

The browser tests for Flow should be triggered by Gerrit just like it
is already the case for ULS (bug 52120) or going to be for VisualEditor (bug 53691).

The tests need to be carefully filtered out since they are expecting content or
behavior which are not to be found on a freshly installed wiki.

CC QA


Version: wmf-deployment
Severity: normal

Details

Reference
bz58401

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:17 AM
bzimport set Reference to bz58401.
bzimport added a subscriber: Unknown Object (MLST).
hashar created this task.Dec 12 2013, 5:34 PM
  • Bug 61219 has been marked as a duplicate of this bug. ***

Change 112874 had a related patch set uploaded by Hashar:
Tag browser tests with @clean

https://gerrit.wikimedia.org/r/112874

Change 112874 merged by jenkins-bot:
Tag browser tests with @clean

https://gerrit.wikimedia.org/r/112874

hashar added a comment.Mar 3 2014, 5:37 PM

I got Cirrus Search tests working with Nik and I am close to finish the integration of the VisualEditor tests.

I triggered a run of the Flow browsertests this morning and they are failing: https://integration.wikimedia.org/ci/job/mwext-browsertests-Flow-phantomjs/5/ I havent investigated though.

Cucumber HTML report is https://integration.wikimedia.org/ci/job/mwext-browsertests-Flow-phantomjs/5/artifact/log/report.html

The screenshots are not taken because the repository uses mediawiki_selenium (0.2.2), should use 0.2.3 to let us specify the screenshot destination.

Antoine, do you still need help with this?

As far as I can see[1], Flow is now using mediawiki_selenium 0.2.7, so screen shots should be taken.

1: https://github.com/wikimedia/mediawiki-extensions-Flow/blob/master/tests/browser/Gemfile.lock#L25

hashar added a comment.Mar 5 2014, 2:01 PM

Nice! I retriggered the job and it took screenshots for the failures: https://integration.wikimedia.org/ci/job/mwext-browsertests-Flow-phantomjs/6/

Resetting ticket status as patch was merged

We are not going to trigger browser tests on patch submission for now. It is not that trivial to setup.